'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = loader;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _pegjs = require('pegjs');

var _pegjs2 = _interopRequireDefault(_pegjs);

var _loaderUtils = require('loader-utils');

var _loaderUtils2 = _interopRequireDefault(_loaderUtils);

function loader(source) {
  if (this.cacheable) {
    this.cacheable();
  }

  var query = _loaderUtils2['default'].parseQuery(this.query);
  var cacheParserResults = !!query.cache;

  // Description of PEG.js options: https://github.com/pegjs/pegjs#javascript-api
  var pegOptions = { output: 'source', cache: cacheParserResults };

  return 'module.exports = ' + _pegjs2['default'].buildParser(source, pegOptions) + ';';
}

module.exports = exports['default'];